Bug 459784 - RFE: virt-manager: Simple view to quickly switch between multiple guest consoles
Summary: RFE: virt-manager: Simple view to quickly switch between multiple guest consoles
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-22 10:37 UTC by Kevin Verma
Modified: 2012-01-25 01:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-25 01:52:22 UTC


Attachments (Terms of Use)

Description Kevin Verma 2008-08-22 10:37:06 UTC
Description of feature: 

Opening multiple consoles of GuestOS from virt-manager results in lot of open windows. This could be managed by providing a console mode view for main window of virt-manager that could hold all BaseOS status in a TAB and all open consoles in other TABs, while making it easier to switch within all much simpler. 

A similar app that does so could be vmware-server-console.

Comment 1 Cole Robinson 2010-02-27 02:06:50 UTC
Moving to upstream tracker.

Comment 2 Cole Robinson 2012-01-25 01:52:22 UTC
After thinking about it current virt context, I don't think virt-manager will ever grow a mode like this: we want to support people managing servers but we will never invest heavily in people that are managing enough machines to really need a feature like this. Multiple console windows will just have to do.

That said if someone implemented something sufficiently compelling I'd consider it at least :)


Note You need to log in before you can comment on or make changes to this bug.